DocsAPI ReferenceWarehouse/bff/warehouse/dashboard/health
getWarehouseAdmin BFF

/bff/warehouse/dashboard/health

One round-trip for the admin dashboard widget. Returns alert counts, dead-stock value, shrinkage rate, top movers, and reservation totals.

WarehousegetBffWarehouseDashboardHealth

Parameters

3 query

3 total
Query · 3
deadStockDaysstring
shrinkageWindowDaysstring
topMoversLimitstring

Request

GET /bff/warehouse/dashboard/health

get
curl -X GET "https://api.bizkithub.com/bff/warehouse/dashboard/health?deadStockDays=example_deadStockDays&shrinkageWindowDays=example_shrinkageWindowDays&topMoversLimit=example_topMoversLimit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

JSON payload

{
  "generatedAt": "example_generatedAt",
  "totalActiveCells": 0,
  "lowStockCount": 0,
  "reorderPointBreachCount": 0,
  "negativeAvailableCount": 0,
  "deadStockValue": 0,
  "shrinkageRate": 0,
  "totalReservedUnits": 0,
  "activeSoftReservations": 0,
  "topMovers": [
    {
      "itemLabel": "example_itemLabel",
      "unitsMoved": 0
    }
  ]
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key